Subject: Re: [PATCH] Fix docs to use canonical links

From: Daniel Gustafsson <[email-masked]>
Date: Mon, 1 Jul 2024 09:35:09 +0200

> On 1 Jul 2024, at 08:06, Michael Paquier <[email-masked]> wrote:
> 
> On Thu, Jun 27, 2024 at 11:27:45AM +0200, Joel Jacobson wrote:
>> During work in the separate thread [1], I discovered more cases
>> where the link in docs wasn't the canonical link [2].
>> 
>> [1] https://postgr.es/m/[email-masked]
>> [2] https://en.wikipedia.org/wiki/Canonical_link_element
>> 
>> The. below script e.g. doesn't parse SGML, and is broken in some other ways
>> also, but probably good enough to suggest changes that can then be manually
>> carefully verified.
> 
> The 19 links you are updating here avoid redirections in Wikipedia and
> the Postgres wiki.  It's always a bit of a chicken-and-egg game in
> this area, because links always change, still I don't mind the change.

Avoding redirects is generally a good thing, not everyone is on lightning fast
internet.  Wikipedia is however not doing any 30X redirects so it's not really
an issue for those links, it's all 200 requests.

--
Daniel Gustafsson